%DEMOSINGULAERWERTZERLEGUNG - Dieses Skript fhrt eine Singulrwertzerlegung
% fr eine gegebene Systemmatrix durch und veranschaulicht das Ergebnis.
%
% Zu spezifierende Parameter:
%    A         - Systemmatrix
%
% Autor: Martin Pfeifer
% Insitut fr Regelung und Steurungssysteme (IRS)
% Karlsruher Institut fr Technologie
% E-mail: martin.pfeifer@kit.edu 
% Website: http://www.irs.kit.edu
% Mai 2015; Letzte nderung: 11-Mai-2015

%------------- BEGIN CODE --------------

%% Init
clc
clear all
close all

%% Singulrwertzerlegung
% Systemmatrix
A = [ 1.4015, -1.0480;
     -0.4009,  1.0133]

 % Singulrwertzerlegung mit dem svd-Befehl
 
[U,S,V] = svd(A)

% Darstellung der Singulrwertzerlegung
eigshow(A)

%------------- END CODE --------------
